# SEPA_DIRECT_DEBIT_RETURN

A SEPA Direct Debit return notification was created because a SEPA Direct Debit collection from a customer's account did not meet the payment acceptance criteria, which led to Solaris declining the transaction. The payload will contain information about the SDD return, including its return code.

Endpoint: POST sepa_direct_debit_return
Version: 1.0

## Request fields (application/json):

  - `id` (string)
    Unique ID of the SEPA Direct Debit return.
    Example: "257eb92c4656691fd02d3de1fa88b9f5csdr"

  - `creditor_iban` (string)
    The creditor's IBAN.
    Example: "DE32110101001000000029"

  - `creditor_name` (string)
    The creditor's name.
    Example: "Peter Mustermann"

  - `creditor_identifier` (string)
    Unique reference that identifies a party collecting payments under the SEPA Direct Debit scheme within and across 32 countries. See the [Deutsche Bundesbank's definition of creditor identifier](https://www.bundesbank.de/en/tasks/payment-systems/services/sepa/creditor-identifier/creditor-identifier-626704) for more information.
    Example: "DE98ZZZ09999999999"

  - `mandate_reference` (string)
    Reference of the mandate. Must be unique for the creditor identifier.
    Example: "SOBKTEST"

  - `amount` (object)
    The amount of the booking.

  - `amount.value` (integer)
    The amount value.
    Example: 1000

  - `amount.unit` (string)
    The unit of the given value in cents.
    Example: "cents"

  - `amount.currency` (string)
    The currency of the given value. Only EUR is currently supported.
    Example: "EUR"

  - `end_to_end_id` (string)
    SEPA identifier provided by the transaction initiator, which will be routed throughout the whole payment process.
    Example: "DD-12-28.05.2018"

  - `sepa_return_code` (string)
    SEPA return code.
    Example: "MD01"

  - `description` (string)
    Additional details about the booking.

  - `recorded_at` (string)
    The timestamp from when the return was recorded.
    Example: "2018-08-12T13:58:58.000Z"

  - `customer_id` (string)
    The customer's ID.
    Example: "74c586d116e7dcd138af3dd5d754f2abcper"

  - `customer_type` (string)
    Specifies whether the customer is a Person or Business.
    Enum: "Person", "Business"

  - `account_id` (string)
    The customer's Solaris account ID.
    Example: "3eb274b98be7afb13d91acb8ae53901ecacc"


## Response 200 fields
